PACKAGE-CLEANUP(1)

BEZEICHNUNG
package-cleanup - lokal installierte, doppelte oder verwaiste Pakete aufräumen

Ein DNF-basierter Ersatz, der das ursprüngliche YUM-basierte Dienstprogramm package-cleanup imitiert.

ÜBERSICHT

package-cleanup [Optionen]

OPTIONEN

Alle allgemeinen DNF-Optionen werden akzeptiert, siehe Optionen in dnf(8) für Details.

    --leaves
        listet Leaf-Pakete in der lokalen RPM-Datenbank auf. Leaf-Pakete sind jene, von denen keine weiteren Pakete abhängen. Dies ist gleichbedeutend mit dnf repoquery --unneeded.

    --orphans
        listet installierte Pakete auf, die in den gegenwärtig eingerichteten Paketquellen nicht verfügbar sind. Dies ist gleichbedeutend mit dnf repoquery --extras.

    --problems
        listet Abhängigkeitsprobleme in der lokalen RPM-Datenbank auf. Dies ist gleichbedeutend mit dnf repoquery --unsatisfied.

    --dupes
        sucht nach Duplikaten in der lokalen RPM-Datenbank. Dies ist gleichbedeutend mit dnf repoquery --duplicates.

    --cleandupes
        sucht nach Duplikaten in der lokalen RPM-Datenbank und löscht die älteren Versionen. Dies ist gleichbedeutend mit dnf remove --duplicates.

BEISPIELE

    package-cleanup --problems
        listet alle Abhängigkeitsprobleme auf.

    package-cleanup --orphans
        listet alle Pakete auf, die in keiner DNF-Paketquelle zu finden sind.

    package-cleanup --cleandupes
        entfernt alle Pakete, von denen ein Duplikat installiert ist.

AUTOR
Siehe AUTHORS im Paket der Core DNF Plugins.

COPYRIGHT
2023, Red Hat, lizenziert unter GPLv2+

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).